#pragma once

#include "cuda_check.cuh"

class CudaMatrix
{
public:
  CudaMatrix(size_t p, size_t q) : _n(p), _m(q), _bytes(_n*_m*sizeof(double))
  {
    CUDA_CHECK_OP(cudaMalloc(&_data, _bytes));
  }
  ~CudaMatrix()
  {
    CUDA_CHECK_OP(cudaFree(_data));
  }
  size_t n() const { return _n; }
  size_t m() const { return _m; }
  double * data() { return _data; }
  const double * data() const { return _data; }
  size_t bytes() const { return _bytes; }

private:
  double * _data;
  size_t _n, _m;
  size_t _bytes;
};


